## sdlip.helpers
Class ServerCorbaTransport

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--sdlip.CORBA.GenericDispatchPOA
                  |
                  +--sdlip.helpers.ServerCorbaTransport

All Implemented Interfaces:
  sdlip.CORBA.GenericDispatchOperations, HTTPCallback, org.omg.CORBA.portable.InvokeHandler, sdlip.CORBA.MetadataOperations, sdlip.CORBA.ResultAccessOperations, sdlip.CORBA.SearchOperations

public class ServerCorbaTransport
extends sdlip.CORBA.GenericDispatchPOA
implements HTTPCallback

Acts as a wrapper or as a transport module

Constructor Summary
`ServerCorbaTransport()`
`ServerCorbaTransport(java.lang.Object lsp)`
`ServerCorbaTransport(java.lang.String lspPath, java.lang.Object lsp)`

Method Summary
`void` `addLSP(java.lang.Object lsp)`
`void` `addLSP(java.lang.String lspPath, java.lang.Object lsp)`
`void` `cancelRequest(int serverSID, int reqID)`
`void` `extendStateTimeout(int serverSID, int additionalTime, org.omg.CORBA.IntHolder timeAllotted)`
`void` `getDocs(int serverSID, int reqID, java.lang.String docPropList, java.lang.String docsToGet, org.omg.CORBA.StringHolder res)`
`void` `getInterface(org.omg.CORBA.StringHolder theInterface)`
`ServerCorbaTransport` `getLSP(java.lang.String lspPath)`
`void` `getPropertyInfo(java.lang.String subcolName, org.omg.CORBA.StringHolder propInfo)`
`protected java.lang.Object` `getServerImpl()`
`void` `getSessionInfo(int serverSID, org.omg.CORBA.IntHolder expectedTotal, org.omg.CORBA.IntHolder stateTimeout)`
`void` `getSubcollectionInfo(org.omg.CORBA.StringHolder subcolInfo)`
`void` `process(java.net.Socket socket, java.io.InputStream in, java.io.OutputStream out)` HTTP callback implementation
`void` `search(int clientSID, java.lang.String subcols, java.lang.String query, int numDocs, java.lang.String docPropList, int stateTimeoutReq, java.lang.String queryOptions, org.omg.CORBA.IntHolder expectedTotal, org.omg.CORBA.IntHolder stateTimeout, org.omg.CORBA.IntHolder serverSID, org.omg.CORBA.StringHolder serverDelegate, org.omg.CORBA.StringHolder result)`
`void` `setDBG(DBG dbg)`
`java.lang.String` `toString()`

Methods inherited from class sdlip.CORBA.GenericDispatchPOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_default_POA, _get_delegate, _get_interface_def, _is_a, _non_existent, _object_id, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerCorbaTransport

    public ServerCorbaTransport(java.lang.String lspPath,
                                java.lang.Object lsp)
                         throws java.lang.Exception

### ServerCorbaTransport

    public ServerCorbaTransport()

### ServerCorbaTransport

    public ServerCorbaTransport(java.lang.Object lsp)
                         throws java.lang.Exception

Method Detail

### setDBG

    public void setDBG(DBG dbg)

### addLSP

    public void addLSP(java.lang.String lspPath,
                       java.lang.Object lsp)
                throws java.lang.Exception

    `java.lang.Exception`

### addLSP

    public void addLSP(java.lang.Object lsp)
                throws java.lang.Exception

    `java.lang.Exception`

### getLSP

    public ServerCorbaTransport getLSP(java.lang.String lspPath)

### getServerImpl

    protected java.lang.Object getServerImpl()

### search

    public void search(int clientSID,
                       java.lang.String subcols,
                       java.lang.String query,
                       int numDocs,
                       java.lang.String docPropList,
                       int stateTimeoutReq,
                       java.lang.String queryOptions,
                       org.omg.CORBA.IntHolder expectedTotal,
                       org.omg.CORBA.IntHolder stateTimeout,
                       org.omg.CORBA.IntHolder serverSID,
                       org.omg.CORBA.StringHolder serverDelegate,
                       org.omg.CORBA.StringHolder result)
                throws sdlip.CORBA.SDLIPException

  Specified by:
    `search` in interface `sdlip.CORBA.SearchOperations`
    `sdlip.CORBA.SDLIPException`

### getSessionInfo

    public void getSessionInfo(int serverSID,
                               org.omg.CORBA.IntHolder expectedTotal,
                               org.omg.CORBA.IntHolder stateTimeout)
                        throws sdlip.CORBA.SDLIPException

  Specified by:
    `getSessionInfo` in interface `sdlip.CORBA.ResultAccessOperations`
    `sdlip.CORBA.SDLIPException`

### getDocs

    public void getDocs(int serverSID,
                        int reqID,
                        java.lang.String docPropList,
                        java.lang.String docsToGet,
                        org.omg.CORBA.StringHolder res)
                 throws sdlip.CORBA.SDLIPException

  Specified by:
    `getDocs` in interface `sdlip.CORBA.ResultAccessOperations`
    `sdlip.CORBA.SDLIPException`

### extendStateTimeout

    public void extendStateTimeout(int serverSID,
                                   int additionalTime,
                                   org.omg.CORBA.IntHolder timeAllotted)
                            throws sdlip.CORBA.SDLIPException

  Specified by:
    `extendStateTimeout` in interface `sdlip.CORBA.ResultAccessOperations`
    `sdlip.CORBA.SDLIPException`

### cancelRequest

    public void cancelRequest(int serverSID,
                              int reqID)
                       throws sdlip.CORBA.SDLIPException

  Specified by:
    `cancelRequest` in interface `sdlip.CORBA.ResultAccessOperations`
    `sdlip.CORBA.SDLIPException`

### getInterface

    public void getInterface(org.omg.CORBA.StringHolder theInterface)
                      throws sdlip.CORBA.SDLIPException

  Specified by:
    `getInterface` in interface `sdlip.CORBA.MetadataOperations`
    `sdlip.CORBA.SDLIPException`

### getSubcollectionInfo

    public void getSubcollectionInfo(org.omg.CORBA.StringHolder subcolInfo)
                              throws sdlip.CORBA.SDLIPException

  Specified by:
    `getSubcollectionInfo` in interface `sdlip.CORBA.MetadataOperations`
    `sdlip.CORBA.SDLIPException`

### getPropertyInfo

    public void getPropertyInfo(java.lang.String subcolName,
                                org.omg.CORBA.StringHolder propInfo)
                         throws sdlip.CORBA.SDLIPException

  Specified by:
    `getPropertyInfo` in interface `sdlip.CORBA.MetadataOperations`
    `sdlip.CORBA.SDLIPException`

### process

    public void process(java.net.Socket socket,
                        java.io.InputStream in,
                        java.io.OutputStream out)
                 throws java.lang.Exception

  HTTP callback implementation

  Specified by:
    `process` in interface `HTTPCallback`
    `java.lang.Exception`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`